<div class="front_page_section front_page_section_features<?php
	$hygia_scheme = hygia_get_theme_option( 'front_page_features_scheme' );
	if ( ! empty( $hygia_scheme ) && ! hygia_is_inherit( $hygia_scheme ) ) {
		echo ' scheme_' . esc_attr( $hygia_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( hygia_get_theme_option( 'front_page_features_paddings' ) );
	if ( hygia_get_theme_option( 'front_page_features_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$hygia_css      = '';
		$hygia_bg_image = hygia_get_theme_option( 'front_page_features_bg_image' );
		if ( ! empty( $hygia_bg_image ) ) {
			$hygia_css .= 'background-image: url(' . esc_url( hygia_get_attachment_url( $hygia_bg_image ) ) . ');';
		}
		if ( ! empty( $hygia_css ) ) {
			echo ' style="' . esc_attr( $hygia_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$hygia_anchor_icon = hygia_get_theme_option( 'front_page_features_anchor_icon' );
	$hygia_anchor_text = hygia_get_theme_option( 'front_page_features_anchor_text' );
if ( ( ! empty( $hygia_anchor_icon ) || ! empty( $hygia_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_features"'
									. ( ! empty( $hygia_anchor_icon ) ? ' icon="' . esc_attr( $hygia_anchor_icon ) . '"' : '' )
									. ( ! empty( $hygia_anchor_text ) ? ' title="' . esc_attr( $hygia_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_features_inner
	<?php
	if ( hygia_get_theme_option( 'front_page_features_fullheight' ) ) {
		echo ' hygia-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$hygia_css      = '';
			$hygia_bg_mask  = hygia_get_theme_option( 'front_page_features_bg_mask' );
			$hygia_bg_color_type = hygia_get_theme_option( 'front_page_features_bg_color_type' );
			if ( 'custom' == $hygia_bg_color_type ) {
				$hygia_bg_color = hygia_get_theme_option( 'front_page_features_bg_color' );
			} elseif ( 'scheme_bg_color' == $hygia_bg_color_type ) {
				$hygia_bg_color = hygia_get_scheme_color( 'bg_color', $hygia_scheme );
			} else {
				$hygia_bg_color = '';
			}
			if ( ! empty( $hygia_bg_color ) && $hygia_bg_mask > 0 ) {
				$hygia_css .= 'background-color: ' . esc_attr(
					1 == $hygia_bg_mask ? $hygia_bg_color : hygia_hex2rgba( $hygia_bg_color, $hygia_bg_mask )
				) . ';';
			}
			if ( ! empty( $hygia_css ) ) {
				echo ' style="' . esc_attr( $hygia_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_features_content_wrap content_wrap">
			<?php
			// Caption
			$hygia_caption = hygia_get_theme_option( 'front_page_features_caption' );
			if ( ! empty( $hygia_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_features_caption front_page_block_<?php echo ! empty( $hygia_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $hygia_caption, 'hygia_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$hygia_description = hygia_get_theme_option( 'front_page_features_description' );
			if ( ! empty( $hygia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_features_description front_page_block_<?php echo ! empty( $hygia_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $hygia_description ), 'hygia_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_features_output">
				<?php
				if ( is_active_sidebar( 'front_page_features_widgets' ) ) {
					dynamic_sidebar( 'front_page_features_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! hygia_exists_trx_addons() ) {
						hygia_customizer_need_trx_addons_message();
					} else {
						hygia_customizer_need_widgets_message( 'front_page_features_caption', 'ThemeREX Addons - Services' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
